commit: e20b105cec4cc977f4982e1ee4b9aa61a1cfec27
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 18 06:38:07 2016 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Jul 18 06:48:15 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e20b105c
dev-ruby/sprockets-rails: add ruby23 revision
Package-Manager: portage-2.2.28
.../sprockets-rails-3.0.4-r1.ebuild | 39 ++++++++++++++++++++++
1 file changed, 39 insertions(+)
diff --git a/dev-ruby/sprockets-rails/sprockets-rails-3.0.4-r1.ebuild
b/dev-ruby/sprockets-rails/sprockets-rails-3.0.4-r1.ebuild
new file mode 100644
index 0000000..67a4065
--- /dev/null
+++ b/dev-ruby/sprockets-rails/sprockets-rails-3.0.4-r1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem versionator
+
+DESCRIPTION="Sprockets implementation for Rails 4.x (and beyond) Asset
Pipeline"
+HOMEPAGE="https://github.com/rails/sprockets-rails"
+SRC_URI="https://github.com/rails/sprockets-rails/archive/v${PV}.tar.gz ->
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(get_version_component_range 1)"
+KEYWORDS="~amd64 ~arm ~amd64-linux"
+
+IUSE="test"
+
+ruby_add_rdepend "
+ >=dev-ruby/actionpack-4.0:*
+ >=dev-ruby/activesupport-4.0:*
+ dev-ruby/sprockets:3"
+
+ruby_add_bdepend "
+ test? (
+ >=dev-ruby/actionpack-4
+ >=dev-ruby/railties-4
+ dev-ruby/test-unit:2
+ )"
+
+all_ruby_prepare() {
+ # Help load correct rack version consistently
+ sed -i -e "3irequire 'action_controller'" test/test_helper.rb || die
+}